<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="author" content="Space Geodesy Group, ETH Zurich, Developer: Luisa Wunderlin">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Satellite Database</title>

    {% load static %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/fonts.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/styles.css' %}">
    <link rel="shortcut icon" type="image/x-icon" href="{% static 'images/satellite_favicon.png' %}">
    <script src="{% static 'js/homepage.js' %}"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>


<body>

<!-- HEADER -->
{% include "header.html" %}


<!-- BODY -->
<div class="body-wrapper">

    <div style="display:block;">
        <!-- WIDGET -->
        <div class="widget-div-right">
            <h2 style="display:inline;">Database Statistics</h2>
            <br style="margin:5px;">
            Total number of TLEs:  <b>{{ total_nr_tles }}</b>
            <br style="margin:5px;">
            Total number of Satellites: <b>{{ total_nr_sats }}</b>
            <br style="margin:5px;">
            New TLEs in the last 7 days: <b>{{ tles_last_7 }}</b>
            <br style="margin:5px;">
            Newest TLE: <b>{{ latest_tle }}</b> (UTC)
            <br style="margin:5px;">
        </div>


        <!-- INTRO -->
        <h2>About the Database</h2>
        <p>
            The Satellite Database archives orbital data of satellites and other space objects in the form of
            <a href="https://en.wikipedia.org/wiki/Two-line_element_set">Two-Line Elements</a>.
		The data is fetched from <a href="https://celestrak.org/NORAD/elements/">CelesTrak</a> on an hourly basis.
        </p>

        <p>
            The data can be searched and retrieved using the search form on this website or
            the <a href="/api-documentation">API.</a>
        </p>


    </div>

    <div style="height:20px; display:block; clear:both;"></div>


    <!-- LOAD SEARCH FORMS -->
    {% include 'search_form.html' %}


    <!-- LOADING MESSAGE -->
    <div id="wait-message" style="display:none; text-align:center;">
        <div class="form-wrapper">
            <img src="{% static 'images/satellite_large.png' %}" class="loading-img" alt="spinning satellite emoji">
            <p style="font-weight:bold; font-size:1.5rem;">Loading, please wait...</p>
        </div>
    </div>

</div>


<!-- SUBMIT SCRIPT -->
<script>
$(document).ready(function() {
  $('#tle-search-form').submit(function() {
    $('#wait-message').show();
    $('#tle-search-form').hide();
  });
});
</script>


<!-- FOOTER -->
{% include 'footer.html' %}


</body>
</html>
